| Version: 3.0.2

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
wxJoystickEvent Class Reference
Events

`#include <wx/event.h>`

Inheritance diagram for wxJoystickEvent:
[legend]

## Detailed Description

This event class contains information about joystick events, particularly events received by windows.

## Events using this class

The following event handler macros redirect the events to member function handlers 'func' with prototypes like:

void handlerFuncName(wxJoystickEvent& event)

Event macros:

- EVT_JOY_BUTTON_DOWN(func):
  Process a `wxEVT_JOY_BUTTON_DOWN` event.
- EVT_JOY_BUTTON_UP(func):
  Process a `wxEVT_JOY_BUTTON_UP` event.
- EVT_JOY_MOVE(func):
  Process a `wxEVT_JOY_MOVE` event.
- EVT_JOY_ZMOVE(func):
  Process a `wxEVT_JOY_ZMOVE` event.
- EVT_JOYSTICK_EVENTS(func):
  Processes all joystick events.

##

Library: wxCore
Category: Events

See Also
  wxJoystick

## Public Member Functions
| wxJoystickEvent (wxEventType eventType=wxEVT_NULL, int state=0, int joystick=wxJOYSTICK1, int change=0)
| Constructor.
bool | ButtonDown (int button=wxJOY_BUTTON_ANY) const
| Returns true if the event was a down event from the specified button (or any button).
bool | ButtonIsDown (int button=wxJOY_BUTTON_ANY) const
| Returns true if the specified button (or any button) was in a down state.
bool | ButtonUp (int button=wxJOY_BUTTON_ANY) const
| Returns true if the event was an up event from the specified button (or any button).
int | GetButtonChange () const
| Returns the identifier of the button changing state.
int | GetButtonState () const
| Returns the down state of the buttons.
int | GetJoystick () const
| Returns the identifier of the joystick generating the event - one of wxJOYSTICK1 and wxJOYSTICK2.
wxPoint | GetPosition () const
| Returns the x, y position of the joystick event.
int | GetZPosition () const
| Returns the z position of the joystick event.
bool | IsButton () const
| Returns true if this was a button up or down event (not 'is any button down?').
bool | IsMove () const
| Returns true if this was an x, y move event.
bool | IsZMove () const
| Returns true if this was a z move event.
Public Member Functions inherited from wxEvent
| wxEvent (int id=0, wxEventType eventType=wxEVT_NULL)
| Constructor.
virtual wxEvent * | Clone () const =0
| Returns a copy of the event.
wxObject * | GetEventObject () const
| Returns the object (usually a window) associated with the event, if any.
wxEventType | GetEventType () const
| Returns the identifier of the given event type, such as `wxEVT_BUTTON`.
virtual wxEventCategory | GetEventCategory () const
| Returns a generic category for this event.
int | GetId () const
| Returns the identifier associated with this event, such as a button command id.
wxObject * | GetEventUserData () const
| Return the user data associated with a dynamically connected event handler.
bool | GetSkipped () const
| Returns true if the event handler should be skipped, false otherwise.
long | GetTimestamp () const
| Gets the timestamp for the event.
bool | IsCommandEvent () const
| Returns true if the event is or is derived from wxCommandEvent else it returns false.
void | ResumePropagation (int propagationLevel)
| Sets the propagation level to the given value (for example returned from an earlier call to wxEvent::StopPropagation).
void | SetEventObject (wxObject *object)
| Sets the originating object.
void | SetEventType (wxEventType type)
| Sets the event type.
void | SetId (int id)
| Sets the identifier associated with this event, such as a button command id.
void | SetTimestamp (long timeStamp=0)
| Sets the timestamp for the event.
bool | ShouldPropagate () const
| Test if this event should be propagated or not, i.e. if the propagation level is currently greater than 0.
void | Skip (bool skip=true)
| This method can be used inside an event handler to control whether further event handlers bound to this event will be called after the current one returns.
int | StopPropagation ()
| Stop the event from propagating to its parent window.
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data.
| wxObject (const wxObject &other)
| Copy ctor.
virtual | ~wxObject ()
| Destructor.
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar).
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object.
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class.
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj.
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone.
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer.
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data.
void | UnShare ()
| This is the same of AllocExclusive() but this method is public.
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined.
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined.

## Additional Inherited Members
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object.
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it.
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data.
Protected Attributes inherited from wxEvent
int | m_propagationLevel
| Indicates how many levels the event can propagate.

## Constructor & Destructor Documentation

wxJoystickEvent::wxJoystickEvent | ( | wxEventType | eventType = `wxEVT_NULL`,
|  | int | state = `0`,
|  | int | joystick = `wxJOYSTICK1`,
|  | int | change = `0`
| ) |  |

Constructor.

## Member Function Documentation

bool wxJoystickEvent::ButtonDown | ( | int | button = `wxJOY_BUTTON_ANY` | ) | const

Returns true if the event was a down event from the specified button (or any button).

Parameters

  button | Can be `wxJOY_BUTTONn` where `n` is 1, 2, 3 or 4; or `wxJOY_BUTTON_ANY` to indicate any button down event.

bool wxJoystickEvent::ButtonIsDown | ( | int | button = `wxJOY_BUTTON_ANY` | ) | const

Returns true if the specified button (or any button) was in a down state.

Parameters

  button | Can be `wxJOY_BUTTONn` where `n` is 1, 2, 3 or 4; or `wxJOY_BUTTON_ANY` to indicate any button down event.

bool wxJoystickEvent::ButtonUp | ( | int | button = `wxJOY_BUTTON_ANY` | ) | const

Returns true if the event was an up event from the specified button (or any button).

Parameters

  button | Can be `wxJOY_BUTTONn` where `n` is 1, 2, 3 or 4; or `wxJOY_BUTTON_ANY` to indicate any button down event.

int wxJoystickEvent::GetButtonChange | ( |  | ) | const

Returns the identifier of the button changing state.

This is a `wxJOY_BUTTONn` identifier, where `n` is one of 1, 2, 3, 4.

int wxJoystickEvent::GetButtonState | ( |  | ) | const

Returns the down state of the buttons.

This is a `wxJOY_BUTTONn` identifier, where `n` is one of 1, 2, 3, 4.

int wxJoystickEvent::GetJoystick | ( |  | ) | const

Returns the identifier of the joystick generating the event - one of wxJOYSTICK1 and wxJOYSTICK2.

wxPoint wxJoystickEvent::GetPosition | ( |  | ) | const

Returns the x, y position of the joystick event.

These coordinates are valid for all the events except wxEVT_JOY_ZMOVE.

int wxJoystickEvent::GetZPosition | ( |  | ) | const

Returns the z position of the joystick event.

This method can only be used for wxEVT_JOY_ZMOVE events.

bool wxJoystickEvent::IsButton | ( |  | ) | const

Returns true if this was a button up or down event (not 'is any button down?').

bool wxJoystickEvent::IsMove | ( |  | ) | const

Returns true if this was an x, y move event.

bool wxJoystickEvent::IsZMove | ( |  | ) | const

Returns true if this was a z move event.